import java.io.*;
import java.util.StringTokenizer;

public class EchoV2
{
    public static void main( String[] args ) throws IOException
    {
        String delimiters = " .?!()[]{}|?/&\\,;:-\'\"\t\n\r";

        BufferedReader inputFile = new BufferedReader(
                                       new InputStreamReader( System.in ) );
        PrintWriter   outputFile = new PrintWriter(
                                       new OutputStreamWriter( System.out ) );

        if (args.length > 0)
            inputFile = new BufferedReader( new FileReader( args[0] ) );
        if (args.length > 1)
            outputFile = new PrintWriter( new FileWriter( args[1] ) );

        String buffer = null;

        while( true )
        {
            buffer = inputFile.readLine();

            if ( buffer == null ) break;

            buffer = buffer.toLowerCase();
            StringTokenizer tokens = new StringTokenizer( buffer, delimiters );

            while( tokens.hasMoreElements() )
            {
                String word = tokens.nextToken();
                outputFile.println( word );
            }
        }
    }
}
